 /***************************************************************************
 *   Copyright  2010 by Yann Nave <yannux@onbebop.net>    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef I_BONJOURMADAME_H
#define I_BONJOURMADAME_H

#include "AbstractProvider.h"

class KJob;

class BonjourMadame: public AbstractProvider
{
    Q_OBJECT

    public:
        BonjourMadame(QObject *parent, const QVariantList &args);
        ~BonjourMadame();
    void setFailedToLaunch(QString arg1);

    protected:
        bool sourceRequestEvent (const QString &source);
        bool updateSourceEvent (const QString &source);

    private slots:
        void mainPageLoaded(KJob *job);
        void parseMainPage(QByteArray source);
        void photoDownloaded(KJob *job);
};

#endif // I_BONJOURMADAME_H
